Docs
Ctrl K
APICRMContactsFind Contact by Phone

Find Contact by Phone

Find the first CRM contact whose phone, phone2 or phone3 matches the given number. Matching uses the last 10 digits, so formatting and country code are ignored (at least 7 digits are required). Returns 404 when no contact matches. lastAICallDisposition is the disposition of an AI call to that number that was transferred in the last 2 minutes, or null.

Created: September 16, 2026

Updated: September 16, 2026

Overview

GET

https://dashboard.vinsi.ai/api/crm/contacts/lookup-by-phone?phone={phone}

Request

Headers

Content-Type

string

application/json
x-api-key

string

REQUIRED

Query Params

phone

string

REQUIRED

Example: +15555550142

Response

{9 items
"id":int1042
"firstName":string"Alex"
"lastName":string"Morgan"
"email":string"alex.morgan@example.com"
"company":string"Acme Dental"
"phone":string"+15555550142"
"phone2":string""
"phone3":string""
"lastAICallDisposition":null
}

Endpoint Explorer

Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.

GET

Headers

Content-Type: *
x-api-key: *

Query Params

phone: *

Response

No response yet. Click Send to test the API.